<?php

namespace FiloBlu\Design\Controller\Adminhtml\Cache;

use Magento\Framework\Exception\LocalizedException;
use Magento\Framework\Controller\ResultFactory;

class CleanContentManagerImages extends \Magento\Backend\App\Action {

    /**
     * Clean JS/css files cache
     *
     * @return \Magento\Backend\Model\View\Result\Redirect
     */
    public function execute() {

        try {
            $helperDesign = $this->_objectManager->create('FiloBlu\Design\Helper\Data');
            $helperDesign->cleanContentManagerImages();
            $this->_eventManager->dispatch('clean_contentmanager_images_cache_after');
            $this->messageManager->addSuccess(__('The content manager image cache was cleaned.'));
        } catch (LocalizedException $e) {
            $this->messageManager->addError($e->getMessage());
        } catch (\Exception $e) {
            $this->messageManager->addException($e, __('An error occurred while clearing the content manager image cache.'));
        }

        /** @var \Magento\Backend\Model\View\Result\Redirect $resultRedirect */
        $resultRedirect = $this->resultFactory->create(ResultFactory::TYPE_REDIRECT);
        return $resultRedirect->setPath('adminhtml/*');
    }

}
